Defines | Functions

# software/wrsw_rtud/rtu_hash.h File Reference

`#include "mac.h"`

Go to the source code of this file.

## Defines
#define | HW_POLYNOMIAL_CCITT 0x1021
#define | HW_POLYNOMIAL_IBM 0x8005
#define | HW_POLYNOMIAL_DECT 0x0589
## Functions
void | rtu_hash_set_poly (uint16_t poly)
uint16_t | rtu_hash (uint8_t mac[ETH_ALEN], uint8_t fid)

## Define Documentation

#define HW_POLYNOMIAL_CCITT 0x1021

#define HW_POLYNOMIAL_DECT 0x0589

#define HW_POLYNOMIAL_IBM 0x8005

## Function Documentation

uint16_t rtu_hash | ( | uint8_t | mac[ETH_ALEN],
|  | uint8_t | fid
| ) |  |

void rtu_hash_set_poly | ( | uint16_t | poly ) |

All Data Structures Files Functions Variables Defines